#ifndef __GAMESOUND
#define __GAMESOUND

#include "fileio.h"
#include "entities.h"

void SoundPause();
void SoundInit();
void SoundReInit();
void SoundFrame();
void SoundSilence();
void SoundFreeEntitySources(tGameEntity *entity);

void LoadAllSounds();
void CarPlayCrashNoise(tGameEntity *carEntity,tFileRef sound,float volume);
void PlayInterfaceSound(tFileRef sound);

#endif